Bug 222549 - no support for greek on the console
Summary: no support for greek on the console
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Liang Zhang
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-13 22:42 UTC by Stephanos Manos
Modified: 2015-04-07 03:06 UTC (History)
3 users (show)

Fixed In Version: 1.2.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 05:44:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the font problem in locale-list (545 bytes, text/plain)
2007-01-13 22:42 UTC, Stephanos Manos
no flags Details

Description Stephanos Manos 2007-01-13 22:42:25 UTC
Description of problem:
When changing the system language to Greek then on the console the Greek
characters are displayed as blocks.

Version-Release number of selected component (if applicable):
system-config-language-1.1.11-2

How reproducible:
Always 

Steps to Reproduce:
1.Change the system language to Greek
2.Change to a vt
3.login in and do ls -l

Actual results:
Where the dates should be displayed you will se blocks

Expected results:
The dates displayed in Greek

Additional info:
Changing the SYSFONT (in /etc/sysconfig/i18n) from latarcyrheb-sun16 to
iso07u-16 fixes the display problem.

Doing the same substitution in /usr/share/system-config-language/locale-list
prior to calling system-config-language does not produce the problem

Attached is a patch that fixes the problem

Comment 1 Stephanos Manos 2007-01-13 22:42:25 UTC
Created attachment 145535 [details]
Fix for the font problem in locale-list

Comment 2 Stephanos Manos 2007-02-25 17:29:59 UTC
Changing version to devel since it's present there also

Comment 3 Stephanos Manos 2007-03-29 19:08:41 UTC
ping...

Comment 4 Simos Xenitellis 2007-03-30 00:58:03 UTC
I fully support this patch. Please commit.

The patch is trivial; it sets an appropriate console font that supports the
Greek language. The default console font does not support the Greek language.

Comment 5 Dimitris Glezos 2007-04-04 13:54:41 UTC
We need this by Fedora 7.

Comment 6 Liang Zhang 2007-06-18 09:13:14 UTC
I fixed it in system-config-language-1.2.1-1.fc8.
Thanks a lot.
:)

Comment 7 Nikos Charonitakis 2007-07-02 17:36:35 UTC
On Fedora 7:
LANG="el_GR.UTF-8"
SYSFONT="latarcyrheb-sun16"

this is my /etc/sysconfig/i18n

i ve installed from livecd and then i selected Greek (from GUI) for system Language.
This brings us back to the same problem?


Comment 8 Liang Zhang 2007-07-03 02:04:59 UTC
System-config-language-1.2.1-1.fc8 fixed this bug, it is the package of F8, not F7.

Comment 9 Liang Zhang 2007-07-03 02:05:37 UTC
System-config-language-1.2.2-1.fc8 fixed this bug, it is the package of F8, not F7.

Comment 10 Stephanos Manos 2007-07-03 15:19:46 UTC
Could this fix be done also in F7 and FC6 since the bug is present there?

Comment 11 Simos Xenitellis 2007-07-03 15:59:28 UTC
As far as I understand, there will be no packages updates for this for Fedora
versions up to F7, as this is not a security fix but an feature enhancement.

Since F6 and F7 have been released already, the officially distributed ISOs will
not get updated (they do not get updated).

For existing users of F6 and F7 we can provide instructions on how to apply the
change manually, or create an updated package that we can host on a local
repository. We then ask users to add that repository in their system and the
update will take place automatically through the system.

To verify that F8 really works on this, we can try a beta once it becomes available.


Note You need to log in before you can comment on or make changes to this bug.